Subject: 23.1; Clicking in menubar area causes emacs to suspend

From: Alan Malloy <[email-masked]>
Date: Wed, 27 Oct 2010 19:19:57 -0700

When running in windowed mode, if I click in the menubar "bar", but not 
on any
of the menus (i.e., in the blank space to the right of Help), Emacs 
appears to
freeze. It will not accept any user input, either mouse or keyboard. C-g 
doesn't
work; C-p doesn't move point: nothing works. Additionally, the cursor stops
flashing; I'm not sure if that's relevant.

I can fix the problem by clicking on one of the menus, e.g. Help. The menu
expands immediately, and Emacs returns to processing input as normal if 
I click
a menu item, or cancel the menubar action with ESC or by clicking elsewhere.

The graphical buttons under the menubar (New File, Open File, etc.) respond
partially, but not fully. For example, clicking Open File causes the 
minibuffer
to display "tool-bar open-file", but it doesn't prompt for a file, or 
unfreeze
the rest of the system.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0)
  of 2010-03-29 on rothera, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10706000
configured using `configure  '--build=i486-linux-gnu' 
'--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' 
'--libexecdir=/usr/lib' '--localstatedir=/var/lib' 
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' 
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' 
'--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 
'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 
'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.utf8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Clojure

Minor modes in effect:
   delete-selection-mode: t
   rainbow-paren-mode: t
   paredit-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<backspace> <backspace> <backspace> " <up> <end> <left>
SPC " , " <down> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
<left> <left> <left> <left> <left> <left> <left> <left>
<left> <left> <right> # c l o j u r e " S-SPC [ " ,
" C-p C-p C-e C-n C-n C-p C-p C-n C-n C-f <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> SPC
d o n ' t SPC <M-backspace> <M-backspace> l e t SPC
c l o j u r e b o t SPC h a v e SPC t h i s SPC o n
e C-x C-s C-x b <return> C-p C-p C-p C-p C-p C-p C-p
C-p C-n C-n C-n C-f C-f C-f C-f C-f C-f C-f C-f C-f
C-f C-f C-f C-f C-f <backspace> <backspace> <backspace>
<backspace> <backspace> s t r ? <backspace> i n g ?
C-n C-a C-a C-k C-k C-p C-e SPC ; ; <backspace> SPC
b a c k w a r d s SPC c o m p a t i b l e C-n C-b C-b
C-b <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> ( : d e f a u l t C-x b <return>
C-x b <return> s SPC c o n f i g - s e t t i n g C-p
C-e <return> C-y C-a C-/ [ c o n f i g - s e t t i
n g ] C-x C-s <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> f f <backspace> <backspace>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> C-g <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar>
<help-menu> <send-emacs-bug-report>

Recent messages:
Auto-saving...done
Saving file /home/akm/.sexpbot/info.clj...
Wrote /home/akm/.sexpbot/info.clj
Mark set
Undo!
Saving file /home/akm/src/clojure/sexpbot/src/sexpbot/plugins/eval.clj...
Wrote /home/akm/src/clojure/sexpbot/src/sexpbot/plugins/eval.clj
Auto-saving...done
Quit
/usr/bin/mail is not an executable.  Setting mail-interactive to t.